Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision 998ca90ad87500d7d5fb3f4eb13105752a2f2952)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -1,10 +1,10 @@
 ################################################################################
-#This software was developed by the University of Tennessee as part of the
-#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#project funded by the US National Science Foundation.
+# This software was developed by the University of Tennessee as part of the
+# Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+# project funded by the US National Science Foundation.
 #
-#See the license text in license.txt
+# See the license text in license.txt
 #
-#copyright 2010, University of Tennessee
+# copyright 2010, University of Tennessee
 ################################################################################
 """
@@ -14,16 +14,7 @@
 from wx.build import build_options
 
-# Check version
-toks = str(wx.__version__).split('.')
-if int(toks[1]) < 9:
-    if int(toks[2]) < 12:
-        wx_version = 811
-    else:
-        wx_version = 812
-else:
-    wx_version = 900
 import sys
 from wx.lib.scrolledpanel import ScrolledPanel
-import  wx.lib.agw.customtreectrl as CT
+import wx.lib.agw.customtreectrl as CT
 from sas.sasgui.guiframe.dataFitting import Data1D
 from sas.sasgui.guiframe.dataFitting import Data2D
@@ -36,9 +27,19 @@
 from sas.sasgui.guiframe.events import NewBatchEvent
 from sas.sascalc.dataloader.loader import Loader
-#from sas.sasgui.guiframe.local_perspectives.plotting.masking \
+# from sas.sasgui.guiframe.local_perspectives.plotting.masking \
 #    import FloatPanel as QucikPlotDialog
-from sas.sasgui.guiframe.local_perspectives.plotting.SimplePlot import PlotFrame \
-        as QucikPlotDialog
+from sas.sasgui.guiframe.local_perspectives.plotting.SimplePlot \
+    import PlotFrame as QucikPlotDialog
 import sas.sasgui.guiframe.config as config
+
+# Check version
+toks = str(wx.__version__).split('.')
+if int(toks[1]) < 9:
+    if int(toks[2]) < 12:
+        wx_version = 811
+    else:
+        wx_version = 812
+else:
+    wx_version = 900
 
 extension_list = []
@@ -49,5 +50,5 @@
 APPLICATION_WLIST = config.APPLICATION_WLIST
 
-#Control panel width
+# Control panel width
 if sys.platform.count("win32") > 0:
     PANEL_WIDTH = 235
@@ -65,6 +66,6 @@
     IS_MAC = True
 
-STYLE_FLAG = wx.RAISED_BORDER|CT.TR_HAS_BUTTONS| CT.TR_HIDE_ROOT|\
-                    wx.WANTS_CHARS|CT.TR_HAS_VARIABLE_ROW_HEIGHT
+STYLE_FLAG = wx.RAISED_BORDER | CT.TR_HAS_BUTTONS | CT.TR_HIDE_ROOT |\
+                    wx.WANTS_CHARS | CT.TR_HAS_VARIABLE_ROW_HEIGHT
 
 
@@ -74,5 +75,5 @@
     """
     def __init__(self, parent, *args, **kwds):
-        #agwstyle is introduced in wx.2.8.11 but is not working for mac
+        # agwstyle is introduced in wx.2.8.11 but is not working for mac
         if IS_MAC and wx_version < 812:
             try:
@@ -114,4 +115,5 @@
             return 0
 
+
 class DataPanel(ScrolledPanel, PanelBase):
     """
@@ -119,13 +121,14 @@
     interact with data.
     """
-    ## Internal name for the AUI manager
+    # Internal name for the AUI manager
     window_name = "Data Panel"
-    ## Title to appear on top of the window
+    # Title to appear on top of the window
     window_caption = "Data Explorer"
-    #type of window
+    # type of window
     window_type = "Data Panel"
-    ## Flag to tell the GUI manager that this panel is not
+    # Flag to tell the GUI manager that this panel is not
     #  tied to any perspective
-    #ALWAYS_ON = True
+    # ALWAYS_ON = True
+
     def __init__(self, parent,
                  list=None,
@@ -133,13 +136,13 @@
                  id=-1,
                  list_of_perspective=None, manager=None, *args, **kwds):
-        #kwds['size'] = size
-        #kwds['style'] = STYLE_FLAG
+        # kwds['size'] = size
+        # kwds['style'] = STYLE_FLAG
         ScrolledPanel.__init__(self, parent=parent, id=id, *args, **kwds)
         PanelBase.__init__(self, parent)
         self.SetupScrolling()
-        #Set window's font size
+        # Set window's font size
         self.SetWindowVariant(variant=FONT_VARIANT)
         self.loader = Loader()
-        #Default location
+        # Default location
         self._default_save_location = None
         self.all_data1d = True
@@ -159,5 +162,5 @@
         self.tree_ctrl_theory = None
         self.perspective_cbox = None
-        ## Create context menu for page
+        # Create context menu for page
         self.data_menu = None
         self.popUpMenu = None
@@ -165,5 +168,5 @@
         self.editmask_id = None
         # Default attr
-        self.vbox  = None
+        self.vbox = None
         self.sizer1 = None
         self.sizer2 = None
@@ -210,5 +213,5 @@
         """
         w, h = self.parent.GetSize()
-        self.vbox  = wx.BoxSizer(wx.VERTICAL)
+        self.vbox = wx.BoxSizer(wx.VERTICAL)
         self.sizer1 = wx.BoxSizer(wx.VERTICAL)
         self.sizer1.SetMinSize(wx.Size(w/13, h*2/5))
@@ -219,9 +222,9 @@
         self.sizer5 = wx.BoxSizer(wx.VERTICAL)
 
-        self.vbox.Add(self.sizer5, 0, wx.EXPAND|wx.ALL, 1)
-        self.vbox.Add(self.sizer1, 1, wx.EXPAND|wx.ALL, 0)
-        self.vbox.Add(self.sizer2, 0, wx.EXPAND|wx.ALL, 1)
-        self.vbox.Add(self.sizer3, 0, wx.EXPAND|wx.ALL, 10)
-        #self.vbox.Add(self.sizer4, 0, wx.EXPAND|wx.ALL,5)
+        self.vbox.Add(self.sizer5, 0, wx.EXPAND | wx.ALL, 1)
+        self.vbox.Add(self.sizer1, 1, wx.EXPAND | wx.ALL, 0)
+        self.vbox.Add(self.sizer2, 0, wx.EXPAND | wx.ALL, 1)
+        self.vbox.Add(self.sizer3, 0, wx.EXPAND | wx.ALL, 10)
+        # self.vbox.Add(self.sizer4, 0, wx.EXPAND|wx.ALL,5)
 
         self.SetSizer(self.vbox)
@@ -235,9 +238,9 @@
         self.selection_cbox = wx.ComboBox(self, -1, style=wx.CB_READONLY)
         list_of_options = ['Select all Data',
-                            'Unselect all Data',
+                           'Unselect all Data',
                            'Select all Data 1D',
                            'Unselect all Data 1D',
                            'Select all Data 2D',
-                           'Unselect all Data 2D' ]
+                           'Unselect all Data 2D']
         for option in list_of_options:
             self.selection_cbox.Append(str(option))
@@ -245,7 +248,6 @@
         wx.EVT_COMBOBOX(self.selection_cbox, -1, self._on_selection_type)
         self.sizer5.AddMany([(select_txt, 0, wx.ALL, 5),
-                            (self.selection_cbox, 0, wx.ALL,5)])
+                            (self.selection_cbox, 0, wx.ALL, 5)])
         self.enable_selection()
-
 
     def _on_selection_type(self, event):
@@ -257,5 +259,5 @@
             self.tree_ctrl.CheckItem(data_ctrl, check_value)
             if data_ctrl.HasChildren():
-                if check_value == True and not control.IsExpanded():
+                if check_value and not control.IsExpanded():
                     # Only select children if control is expanded
                     # Always deselect children, regardless (see ticket #259)
@@ -299,5 +301,5 @@
         Layout widgets related to buttons
         """
-        #Load Data Button
+        # Load Data Button
         self.bt_add = wx.Button(self, wx.NewId(), "Load Data",
                                 size=(BUTTON_WIDTH, -1))
@@ -305,19 +307,19 @@
         wx.EVT_BUTTON(self, self.bt_add.GetId(), self._load_data)
 
-        #Delete Data Button
+        # Delete Data Button
         self.bt_remove = wx.Button(self, wx.NewId(), "Delete Data",
-         size=(BUTTON_WIDTH, -1))
+                                   size=(BUTTON_WIDTH, -1))
         self.bt_remove.SetToolTipString("Delete data from the application")
         wx.EVT_BUTTON(self, self.bt_remove.GetId(), self.on_remove)
 
-        #Send data to perspective button
+        # Send data to perspective button
         self.bt_import = wx.Button(self, wx.NewId(), "Send To",
-                                    size=(BUTTON_WIDTH, -1))
+                                   size=(BUTTON_WIDTH, -1))
         self.bt_import.SetToolTipString("Send Data set to active perspective")
         wx.EVT_BUTTON(self, self.bt_import.GetId(), self.on_import)
 
-        #Choose perspective to be send data to combo box
+        # Choose perspective to be send data to combo box
         self.perspective_cbox = wx.ComboBox(self, -1,
-                                style=wx.CB_READONLY)
+                                            style=wx.CB_READONLY)
         if not IS_MAC:
             self.perspective_cbox.SetMinSize((BUTTON_WIDTH*1.6, -1))
@@ -325,12 +327,12 @@
                         self._on_perspective_selection)
 
-        #Append data to current Graph Button
+        # Append data to current Graph Button
         self.bt_append_plot = wx.Button(self, wx.NewId(), "Append Plot To",
                                         size=(BUTTON_WIDTH, -1))
-        self.bt_append_plot.SetToolTipString( \
-                                "Plot the selected data in the active panel")
+        self.bt_append_plot.SetToolTipString(
+            "Plot the selected data in the active panel")
         wx.EVT_BUTTON(self, self.bt_append_plot.GetId(), self.on_append_plot)
 
-        #Create a new graph and send data to that new graph button
+        # Create a new graph and send data to that new graph button
         self.bt_plot = wx.Button(self, wx.NewId(), "New Plot",
                                  size=(BUTTON_WIDTH, -1))
@@ -338,5 +340,5 @@
         wx.EVT_BUTTON(self, self.bt_plot.GetId(), self.on_plot)
 
-        #Freeze current theory button - becomes a data set and stays on graph
+        # Freeze current theory button - becomes a data set and stays on graph
         self.bt_freeze = wx.Button(self, wx.NewId(), "Freeze Theory",
                                    size=(BUTTON_WIDTH, -1))
@@ -347,5 +349,5 @@
         wx.EVT_BUTTON(self, self.bt_freeze.GetId(), self.on_freeze)
 
-        #select plot to send to combo box (blank if no data)
+        # select plot to send to combo box (blank if no data)
         if sys.platform == 'darwin':
             self.cb_plotpanel = wx.ComboBox(self, -1,
@@ -353,13 +355,13 @@
         else:
             self.cb_plotpanel = wx.ComboBox(self, -1,
-                                            style=wx.CB_READONLY|wx.CB_SORT)
+                                            style=wx.CB_READONLY | wx.CB_SORT)
         wx.EVT_COMBOBOX(self.cb_plotpanel, -1, self._on_plot_selection)
         self.cb_plotpanel.Disable()
 
-        #Help button
+        # Help button
         self.bt_help = wx.Button(self, wx.NewId(), "HELP",
                                  size=(BUTTON_WIDTH, -1))
         self.bt_help.SetToolTipString("Help for the Data Explorer.")
-        wx.EVT_BUTTON(self,self.bt_help.GetId(), self.on_help)
+        wx.EVT_BUTTON(self, self.bt_help.GetId(), self.on_help)
 
         self.sizer3.AddMany([(self.bt_add),
@@ -373,10 +375,10 @@
                              (self.bt_append_plot),
                              (self.cb_plotpanel,
-                              wx.EXPAND|wx.ADJUST_MINSIZE, 5),
+                              wx.EXPAND | wx.ADJUST_MINSIZE, 5),
                              ((5, 5)),
                              ((5, 5)),
-                             (self.bt_import, 0, wx.EXPAND|wx.RIGHT, 5),
+                             (self.bt_import, 0, wx.EXPAND | wx.RIGHT, 5),
                              (self.perspective_cbox,
-                              wx.EXPAND|wx.ADJUST_MINSIZE, 5),
+                              wx.EXPAND | wx.ADJUST_MINSIZE, 5),
                              ((10, 10)),
                              (self.sizer4),
@@ -401,7 +403,7 @@
         self.rb_batch_mode = wx.RadioButton(self, -1, 'Batch Mode')
         self.Bind(wx.EVT_RADIOBUTTON, self.on_single_mode,
-                     id=self.rb_single_mode.GetId())
+                  id=self.rb_single_mode.GetId())
         self.Bind(wx.EVT_RADIOBUTTON, self.on_batch_mode,
-                   id=self.rb_batch_mode.GetId())
+                  id=self.rb_batch_mode.GetId())
 
         self.rb_single_mode.SetValue(not self.parent.batch_on)
@@ -433,11 +435,11 @@
         """
         data = None
-        #selection = event.GetSelection()
+        # selection = event.GetSelection()
         id, _, _ = self.FindFocus().GetSelection().GetData()
         data_list, theory_list = \
-                        self.parent.get_data_manager().get_by_id(id_list=[id])
+            self.parent.get_data_manager().get_by_id(id_list=[id])
         if data_list:
             data = data_list.values()[0]
-        if data == None:
+        if data is None:
             data = theory_list.values()[0][0]
         return data
@@ -461,5 +463,5 @@
         data = self._get_data_selection(event)
         from sas.sasgui.guiframe.local_perspectives.plotting.masking \
-        import FloatPanel as Float3dDialog
+            import FloatPanel as Float3dDialog
 
         panel = Float3dDialog(base=self, data=data,
@@ -476,13 +478,13 @@
         else:
             dimension = 1
-        #panel = QucikPlotDialog(base=self, data=data,
+        # panel = QucikPlotDialog(base=self, data=data,
         #                        dimension=dimension, id=wx.NewId())
         frame = QucikPlotDialog(self, -1, "Plot " + data.name, 'log_{10}')
         self.parent.put_icon(frame)
         frame.add_plot(data)
-        #frame.SetTitle(title)
+        # frame.SetTitle(title)
         frame.Show(True)
         frame.SetFocus()
-        #panel.ShowModal()
+        # panel.ShowModal()
 
     def on_data_info(self, event):
@@ -501,10 +503,10 @@
         """
         data = self._get_data_selection(event)
-        #path = None
+        # path = None
         default_name = data.name
         if default_name.count('.') > 0:
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             if issubclass(data.__class__, Data1D):
                 self.parent.save_data1d(data, default_name)
@@ -523,5 +525,5 @@
         self.tree_ctrl.Bind(CT.EVT_TREE_ITEM_CHECKING, self.on_check_item)
         self.tree_ctrl.Bind(CT.EVT_TREE_ITEM_MENU, self.on_right_click_data)
-        ## Create context menu for page
+        # Create context menu for page
         self.data_menu = wx.Menu()
         id = wx.NewId()
@@ -558,13 +560,13 @@
         tree_ctrl_theory_label.SetForegroundColour('blue')
         self.tree_ctrl_theory = DataTreeCtrl(parent=self,
-                                                    style=wx.SUNKEN_BORDER)
+                                             style=wx.SUNKEN_BORDER)
         self.tree_ctrl_theory.Bind(CT.EVT_TREE_ITEM_CHECKING,
-                                                    self.on_check_item)
+                                   self.on_check_item)
         self.tree_ctrl_theory.Bind(CT.EVT_TREE_ITEM_MENU,
                                    self.on_right_click_theory)
         self.sizer1.Add(tree_ctrl_label, 0, wx.LEFT, 10)
-        self.sizer1.Add(self.tree_ctrl, 1, wx.EXPAND|wx.ALL, 10)
+        self.sizer1.Add(self.tree_ctrl, 1, wx.EXPAND | wx.ALL, 10)
         self.sizer1.Add(tree_ctrl_theory_label, 0,  wx.LEFT, 10)
-        self.sizer1.Add(self.tree_ctrl_theory, 1, wx.EXPAND|wx.ALL, 10)
+        self.sizer1.Add(self.tree_ctrl_theory, 1, wx.EXPAND | wx.ALL, 10)
 
     def on_right_click_theory(self, event):
@@ -588,10 +590,10 @@
         Allow Editing Data
         """
-        #selection = event.GetSelection()
+        # selection = event.GetSelection()
         is_data = True
         try:
             id, data_class_name, _ = self.tree_ctrl.GetSelection().GetData()
             data_list, _ = \
-                        self.parent.get_data_manager().get_by_id(id_list=[id])
+                self.parent.get_data_manager().get_by_id(id_list=[id])
             if not data_list:
                 is_data = False
@@ -610,9 +612,8 @@
         """
         # Skipping the save state functionality for release 0.9.0
-        #return
+        # return
         pos = event.GetPosition()
         pos = self.ScreenToClient(pos)
         self.PopupMenu(self.popUpMenu, pos)
-
 
     def on_check_item(self, event):
@@ -636,7 +637,7 @@
         if self.parent is None or \
             not hasattr(self.parent, "get_current_perspective") or \
-            len(self.list_of_perspective) == 0:
+                        len(self.list_of_perspective) == 0:
             return
-        if self.parent is not None and self.perspective_cbox  is not None:
+        if self.parent is not None and self.perspective_cbox is not None:
             for plug in self.list_of_perspective:
                 if plug.get_perspective():
@@ -666,24 +667,27 @@
                     s_path = str(path)
                     if state_id not in self.list_cb_data:
-                        #new state
+                        # new state
                         data_c = self.tree_ctrl.InsertItem(self.tree_ctrl.root,
-                                        0, data_name, ct_type=1,
+                                                           0, data_name,
+                                                           ct_type=1,
                                         data=(data_id, data_class, state_id))
                         data_c.Check(True)
                         d_i_c = self.tree_ctrl.AppendItem(data_c, 'Info')
                         d_t_c = self.tree_ctrl.AppendItem(d_i_c,
-                                                      'Title: %s' % data_title)
+                                                          'Title: %s' %
+                                                          data_title)
                         r_n_c = self.tree_ctrl.AppendItem(d_i_c,
-                                                      'Run: %s' % data_run)
+                                                          'Run: %s' % data_run)
                         i_c_c = self.tree_ctrl.AppendItem(d_i_c,
-                                                      'Type: %s' % data_class)
+                                                          'Type: %s' %
+                                                          data_class)
                         p_c_c = self.tree_ctrl.AppendItem(d_i_c,
-                                                      "Path: '%s'" % s_path)
+                                                          "Path: '%s'" % s_path)
                         d_p_c = self.tree_ctrl.AppendItem(d_i_c, 'Process')
 
                         for process in process_list:
-                            process_str = str(process).replace('\n',' ')
-                            if len(process_str)>20:
-                                process_str = process_str[:20]+' [...]'
+                            process_str = str(process).replace('\n', ' ')
+                            if len(process_str) > 20:
+                                process_str = process_str[:20] + ' [...]'
                             self.tree_ctrl.AppendItem(d_p_c, process_str)
                         theory_child = self.tree_ctrl.AppendItem(data_c,
@@ -698,6 +702,6 @@
                                                        theory_child]
                     else:
-                        data_ctrl_list =  self.list_cb_data[state_id]
-                        #This state is already display replace it contains
+                        data_ctrl_list = self.list_cb_data[state_id]
+                        # This state is already display replace it contains
                         data_c, d_i_c, d_t_c, r_n_c,  i_c_c, p_c_c, d_p_c, _ \
                                 = data_ctrl_list
@@ -713,5 +717,5 @@
                             if not process.is_empty():
                                 _ = self.tree_ctrl.AppendItem(d_p_c,
-                                                              process.single_line_desc())
+                                                    process.single_line_desc())
                 wx.CallAfter(self.append_theory, state_id, theory_list)
             # Sort by data name
@@ -757,5 +761,4 @@
                                        theory_list=theory_list)
 
-
     def append_theory_helper(self, tree, root, state_id, theory_list):
         """
@@ -763,5 +766,5 @@
         """
         if state_id in self.list_cb_theory.keys():
-            #update current list of theory for this data
+            # update current list of theory for this data
             theory_list_ctrl = self.list_cb_theory[state_id]
 
@@ -777,9 +780,9 @@
                     theory_class = theory_data.__class__.__name__
                     theory_id = theory_data.id
-                    #if theory_state is not None:
+                    # if theory_state is not None:
                     #    name = theory_state.model.name
                     temp = (theory_id, theory_class, state_id)
                 if theory_id not in theory_list_ctrl:
-                    #add new theory
+                    # add new theory
                     t_child = tree.AppendItem(root,
                                                     name, ct_type=1, data=temp)
@@ -795,5 +798,5 @@
                                                    t_p_c]
                 else:
-                    #replace theory
+                    # replace theory
                     t_child, i_c_c, t_p_c = theory_list_ctrl[theory_id]
                     tree.SetItemText(t_child, name)
@@ -805,5 +808,5 @@
 
         else:
-            #data didn't have a theory associated it before
+            # data didn't have a theory associated it before
             theory_list_ctrl = {}
             for theory_id, item in theory_list.iteritems():
@@ -813,5 +816,5 @@
                     theory_class = theory_data.__class__.__name__
                     theory_id = theory_data.id
-                    #if theory_state is not None:
+                    # if theory_state is not None:
                     #    name = theory_state.model.name
                     temp = (theory_id, theory_class, state_id)
@@ -828,8 +831,6 @@
 
                     theory_list_ctrl[theory_id] = [t_child, i_c_c, t_p_c]
-                #self.list_cb_theory[data_id] = theory_list_ctrl
+                # self.list_cb_theory[data_id] = theory_list_ctrl
                 self.list_cb_theory[state_id] = theory_list_ctrl
-
-
 
     def set_data_helper(self):
@@ -889,21 +890,20 @@
             wx.PostEvent(self.parent, NewLoadDataEvent())
 
-
-    def on_remove(self, event, msg=""):
+    def on_remove(self, event, prompt=True):
         """
         Get a list of item checked and remove them from the treectrl
         Ask the parent to remove reference to this item
         """
-        if msg == "":
+        if prompt:
             msg = "This operation will delete the data sets checked "
             msg += "and all the dependents."
-        msg_box = wx.MessageDialog(None, msg, 'Warning', wx.OK|wx.CANCEL)
-        if msg_box.ShowModal() != wx.ID_OK:
-            return True
+            msg_box = wx.MessageDialog(None, msg, 'Warning', wx.OK|wx.CANCEL)
+            if msg_box.ShowModal() != wx.ID_OK:
+                return
 
         data_to_remove, theory_to_remove, _ = self.set_data_helper()
         data_key = []
         theory_key = []
-        #remove  data from treectrl
+        # remove  data from treectrl
         for d_key, item in self.list_cb_data.iteritems():
             data_c, _, _, _,  _, _, _, _ = item
@@ -916,5 +916,5 @@
         # Remove theory from treectrl
         for _, theory_dict in self.list_cb_theory.iteritems():
-            for  key, value in theory_dict.iteritems():
+            for key, value in theory_dict.iteritems():
                 item, _, _ = value
                 if item.IsChecked():
@@ -925,14 +925,14 @@
                     theory_key.append(key)
 
-        #Remove data and related theory references
+        # Remove data and related theory references
         for key in data_key:
             del self.list_cb_data[key]
             if key in theory_key:
                 del self.list_cb_theory[key]
-        #remove theory  references independently of data
+        # remove theory  references independently of data
         for key in theory_key:
             for _, theory_dict in self.list_cb_theory.iteritems():
                 if key in theory_dict:
-                    for  key, value in theory_dict.iteritems():
+                    for key, value in theory_dict.iteritems():
                         item, _, _ = value
                         if item.IsChecked():
@@ -943,5 +943,4 @@
                     del theory_dict[key]
 
-
         self.parent.remove_data(data_id=data_to_remove,
                                   theory_id=theory_to_remove)
@@ -954,5 +953,5 @@
         Get all select data and set them to the current active perspetive
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         data_id, theory_id, state_id = self.set_data_helper()
@@ -986,5 +985,5 @@
         On close
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # send parent to update menu with no show nor hide action
@@ -1016,5 +1015,5 @@
         from the combobox of the current panel
         """
-        #name = event.name
+        # name = event.name
         caption = event.caption
         if self.cb_plotpanel is not None:
@@ -1034,5 +1033,5 @@
             if name_plot_panel not in self.cb_plotpanel.GetItems():
                 self.cb_plotpanel.Append(name_plot_panel, value)
-            if name != None and name == name_plot_panel:
+            if name is not None and name == name_plot_panel:
                 self.cb_plotpanel.SetStringSelection(name_plot_panel)
                 break
@@ -1060,5 +1059,5 @@
         On source combobox selection
         """
-        if event != None:
+        if event is not None:
             combo = event.GetEventObject()
             event.Skip()
@@ -1107,5 +1106,5 @@
         running "file:///...."
 
-    :param evt: Triggers on clicking the help button
+    :param event: Triggers on clicking the help button
     """
 
@@ -1156,5 +1155,5 @@
         """
         n_t = 0
-        if self.tree_ctrl != None:
+        if self.tree_ctrl is not None:
             n_t = self.tree_ctrl.GetCount()
         if n_t > 0 and len(self.list_of_perspective) > 0:
@@ -1175,7 +1174,7 @@
         n_t = 0
         n_t_t = 0
-        if self.tree_ctrl != None:
+        if self.tree_ctrl is not None:
             n_t = self.tree_ctrl.GetCount()
-        if self.tree_ctrl_theory != None:
+        if self.tree_ctrl_theory is not None:
             n_t_t = self.tree_ctrl_theory.GetCount()
         if n_t + n_t_t <= 0:
@@ -1191,7 +1190,7 @@
         n_t = 0
         n_t_t = 0
-        if self.tree_ctrl != None:
+        if self.tree_ctrl is not None:
             n_t = self.tree_ctrl.GetCount()
-        if self.tree_ctrl_theory != None:
+        if self.tree_ctrl_theory is not None:
             n_t_t = self.tree_ctrl_theory.GetCount()
         if n_t + n_t_t <= 0:
@@ -1215,5 +1214,5 @@
         n_t_t = 0
         n_l = 0
-        if self.tree_ctrl_theory != None:
+        if self.tree_ctrl_theory is not None:
             n_t_t = self.tree_ctrl_theory.GetCount()
         n_l = len(self.list_cb_theory)
@@ -1229,9 +1228,9 @@
         n_t = 0
         n_t_t = 0
-        if self.tree_ctrl != None:
+        if self.tree_ctrl is not None:
             n_t = self.tree_ctrl.GetCount()
-        if self.tree_ctrl_theory != None:
+        if self.tree_ctrl_theory is not None:
             n_t_t = self.tree_ctrl_theory.GetCount()
-        if n_t + n_t_t > 0 and self.selection_cbox != None:
+        if n_t + n_t_t > 0 and self.selection_cbox is not None:
             self.selection_cbox.Enable()
         else:
@@ -1255,5 +1254,4 @@
             #self.bt_remove.Hide()
             self.bt_add.Hide()
-
 
 
@@ -1288,5 +1286,5 @@
         if not data_list or len(data_list) <= 1:
             return
-        #add text
+        # add text
 
         text = "Deleting these file reset some panels.\n"
@@ -1296,11 +1294,11 @@
         iy = 0
         ix = 0
-        #data_count = 0
+        # data_count = 0
         for (data_name, in_use, sub_menu) in range(len(data_list)):
-            if in_use == True:
+            if in_use:
                 ctrl_name = wx.StaticBox(self, -1, str(data_name))
                 ctrl_in_use = wx.StaticBox(self, -1, " is used by ")
                 plug_name = str(sub_menu) + "\n"
-                #ctrl_sub_menu = wx.StaticBox(self, -1, plug_name)
+                # ctrl_sub_menu = wx.StaticBox(self, -1, plug_name)
                 self.sizer.Add(ctrl_name, (iy, ix),
                            (1, 1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
@@ -1313,5 +1311,5 @@
             iy += 1
         self._panel.SetSizer(self.sizer)
-        #add sizer
+        # add sizer
         self._sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         button_cancel = wx.Button(self, wx.ID_CANCEL, "Cancel")
@@ -1376,7 +1374,7 @@
 
 
-
 from sas.sasgui.guiframe.dataFitting import Theory1D
 from sas.sasgui.guiframe.data_state import DataState
+
 
 class State():
@@ -1392,4 +1390,5 @@
         return self.msg
 
+
 def set_data_state(data=None, path=None, theory=None, state=None):
     """
@@ -1406,5 +1405,5 @@
     app = wx.App()
     try:
-        #list_of_perspective = [('perspective2', False), ('perspective1', True)]
+        # list_of_perspective = [('perspective2', False), ('perspective1', True)]
         data_list1 = {}
         # state 1
@@ -1421,5 +1420,5 @@
         state1 = State()
         data_list1['1'] = set_data_state(data1, path1, theory1, state1)
-        #state 2
+        # state 2
         data1 = Data2D()
         data1.name = "data2"
@@ -1429,5 +1428,5 @@
         theory1.name = "CoreShell 07/24/25"
         path1 = "path2"
-        #state3
+        # state3
         state1 = State()
         data_list1['2'] = set_data_state(data1, path1, theory1, state1)
@@ -1446,9 +1445,9 @@
         process1.data = "07/22/2010"
         data_list1['4'] = set_data_state(data1, path1, theory1, state1)
-        #state 4
+        # state 4
         temp_data_list = {}
         data1.name = "data5 erasing data2"
         temp_data_list['4'] = set_data_state(data1, path1, theory1, state1)
-        #state 5
+        # state 5
         data1 = Data2D()
         data1.name = "data3"
@@ -1483,5 +1482,5 @@
         window.load_data_list(list=temp_data_list)
     except:
-        #raise
+        # raise
         print "error", sys.exc_value
 
